Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data
Class FloatFieldDef

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.data.FieldDef
              com.gwtext.client.data.FloatFieldDef

    public class FloatFieldDef

extends FieldDef

Field that represents float data.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`FloatFieldDef(java.lang.String name)` Construct a new FloatFieldDef.
`FloatFieldDef(java.lang.String name, int mapping)` Construct a new FloatFieldDef.
`FloatFieldDef(java.lang.String name, int mapping, Converter converter)` Construct a new FloatFieldDef.
`FloatFieldDef(java.lang.String name, java.lang.String mapping)` Construct a new FloatFieldDef.
`FloatFieldDef(java.lang.String name, java.lang.String mapping, Converter converter)` Construct a new FloatFieldDef.

Method Summary

Methods inherited from class com.gwtext.client.data.FieldDef
`getName`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatFieldDef

    public FloatFieldDef(java.lang.String name)

  Construct a new FloatFieldDef.

  Parameters:
    `name` - the field name

### FloatFieldDef

    public FloatFieldDef(java.lang.String name,
                         java.lang.String mapping)

  Construct a new FloatFieldDef.

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when reading from XML

### FloatFieldDef

    public FloatFieldDef(java.lang.String name,
                         int mapping)

  Construct a new FloatFieldDef.

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when reading from XML

### FloatFieldDef

    public FloatFieldDef(java.lang.String name,
                         java.lang.String mapping,
                         Converter converter)

  Construct a new FloatFieldDef.

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when reading from XML
    `converter` - the field converter

### FloatFieldDef

    public FloatFieldDef(java.lang.String name,
                         int mapping,
                         Converter converter)

  Construct a new FloatFieldDef.

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when reading from XML
    `converter` - the field converter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD